import { BehaviorSubject, Subject } from 'rxjs';
import { MotionMasterPubSubSocket } from './motion-master-pub-sub-socket';
import { IMotionMasterMessage } from './types';
export declare class MotionMasterPubSubWebSocket implements MotionMasterPubSubSocket {
    readonly opened$: BehaviorSubject<boolean>;
    readonly close$: Subject<{
        code: number;
        reason: string;
    }>;
    readonly data$: Subject<[string, IMotionMasterMessage]>;
    private webSocket$?;
    private _url?;
    get url(): string | undefined;
    open(url: string): void;
    close(): void;
    reopen(): void;
    private createWebSocket;
}
